### Enumeration

# GWeather SpeedUnit

#### Declaration

    enum GWeather.SpeedUnit

#### Description [src]

The measure unit to use for wind speed values, when retrieved by gweather_info_get_value_wind().

#### Members

Name | Description
--- | ---
`GWEATHER_SPEED_UNIT_INVALID` | Invalid unit.
`GWEATHER_SPEED_UNIT_DEFAULT` | The user preferred speed unit.
`GWEATHER_SPEED_UNIT_MS` | Meters per second.
`GWEATHER_SPEED_UNIT_KPH` | Kilometers per hour.
`GWEATHER_SPEED_UNIT_MPH` | Miles per hour.
`GWEATHER_SPEED_UNIT_KNOTS` | Knots.
`GWEATHER_SPEED_UNIT_BFT` | Beaufort scale.

#### Type functions

###### gweather_speed_unit_to_string

Creates a human-readable, localized representation of `unit`.